Subject: Re: bug#29785: [PATCH] Implement separate eww history

From: Robert Pluim <[email-masked]>
Date: Thu, 21 Dec 2017 09:25:54 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Robert Pluim <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Wed, 20 Dec 2017 20:01:33 +0100
>> 
>> >> As currently proposed, no. But if I enabled the separate history
>> >> unconditionally then it would.
>> >
>> > No, it won't.  M-p and M-n would still work as they did before.
>> 
>> The history list they would cycle through would be the eww history
>> list, not the global minibuffer history list.  What am I missing?
>
> You don't miss anything.  I'm saying that user-visible behavior won't
> change, as users don't care where the history is stored.  Therefore, a
> defcustom, which is by definition for users and not for developers, is
> not needed, at least not IMO.

OK. I'll just enable stuff and wait for the inevitable fallout.

Robert